Index: trunk/tools/CMakeLists.txt
===================================================================
--- trunk/tools/CMakeLists.txt	(revision 300)
+++ trunk/tools/CMakeLists.txt	(revision 302)
@@ -1,5 +1,5 @@
 PROJECT(FlairTools)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/Controller/DualShock3)
Index: trunk/tools/Controller/DualShock3/CMakeLists.txt
===================================================================
--- trunk/tools/Controller/DualShock3/CMakeLists.txt	(revision 300)
+++ trunk/tools/Controller/DualShock3/CMakeLists.txt	(revision 302)
@@ -1,35 +1,20 @@
 PROJECT(dualshock3)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 if("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i686" OR "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i586" OR "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "x86_64")
 
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
-include(${FLAIR_USE_FILE})
 
 ADD_DEFINITIONS(-fpermissive)
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
-	${CMAKE_SOURCE_DIR}/src
-)
-
-LINK_DIRECTORIES (
-	${FLAIR_LIBRARY_DIR}
-)
-
-ADD_EXECUTABLE(${PROJECT_NAME}
+SET(SRC_FILES
 	src/DualShock3.cpp
 	src/main.cpp
 )
 
-TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${FLAIR_LIBRARIES_NRT} bluetooth usb)
+FLAIR_NRT_TOOL(${PROJECT_NAME} "${SRC_FILES}")
 
-INSTALL(
-	TARGETS ${PROJECT_NAME}
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/tools/${ARCH_DIR}
-)
-
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
+TARGET_LINK_LIBRARIES(${PROJECT_NAME} bluetooth usb)
 
 else()
Index: trunk/tools/Controller/Mavlink/CMakeLists.txt
===================================================================
--- trunk/tools/Controller/Mavlink/CMakeLists.txt	(revision 300)
+++ trunk/tools/Controller/Mavlink/CMakeLists.txt	(revision 302)
@@ -1,15 +1,9 @@
 PROJECT(MavPlanner)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 if("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i686" OR "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i586" OR "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "x86_64")
 
-include(${FLAIR_USE_FILE})
-
-ADD_DEFINITIONS(-fpermissive)
-
 INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
-	${CMAKE_SOURCE_DIR}/src
 	${CMAKE_SOURCE_DIR}/src/mavlink_generated_messages/common
 )
@@ -17,16 +11,5 @@
 FILE(GLOB MAVPLANNER_SRC "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")
 
-ADD_EXECUTABLE(${PROJECT_NAME}
-	${MAVPLANNER_SRC}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/tools/${ARCH_DIR}
-)
-
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
+FLAIR_NRT_TOOL(${PROJECT_NAME} "${MAVPLANNER_SRC}")
 
 else()
Index: trunk/tools/Dbt2csv/CMakeLists.txt
===================================================================
--- trunk/tools/Dbt2csv/CMakeLists.txt	(revision 300)
+++ trunk/tools/Dbt2csv/CMakeLists.txt	(revision 302)
@@ -1,5 +1,5 @@
 PROJECT(dbt2csv)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 if("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i686" OR "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i586" OR "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "x86_64")
@@ -29,4 +29,5 @@
 	../FlairGCS/src/
 	${QT_INCLUDE_DIR}
+    ${CMAKE_BINARY_DIR}/generated/
 )
 
@@ -40,10 +41,10 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/tools/${ARCH_DIR}
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-install/tools/${ARCH_DIR}
 )
 
 add_custom_target(
 	compile_info
-	COMMAND $ENV{FLAIR_ROOT}/flair-dev/scripts/compile_info.sh ${CMAKE_C_COMPILER} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src/unexported/compile_info.h
+	COMMAND $ENV{FLAIR_ROOT}/flair-src/scripts/compile_info.sh ${CMAKE_C_COMPILER} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR}/generated/compile_info.h
 )
 
Index: trunk/tools/FlairGCS/CMakeLists.txt
===================================================================
--- trunk/tools/FlairGCS/CMakeLists.txt	(revision 300)
+++ trunk/tools/FlairGCS/CMakeLists.txt	(revision 302)
@@ -1,5 +1,5 @@
 PROJECT(flairgcs)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 if("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i686" OR "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i586" OR "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "x86_64")
@@ -65,4 +65,5 @@
 	${CMAKE_SYSROOT}/usr/include/qt4/QtMobility
 	${CMAKE_SYSROOT}/usr/include/qt4/QtLocation
+    ${CMAKE_BINARY_DIR}/generated/
 )
 
@@ -76,10 +77,10 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/tools/${ARCH_DIR}
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-install/bin/tools/${ARCH_DIR}
 )
 
 add_custom_target(
 	${PROJECT_NAME}_compile_info
-	COMMAND $ENV{FLAIR_ROOT}/flair-dev/scripts/compile_info.sh ${CMAKE_C_COMPILER} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src/unexported/compile_info.h
+	COMMAND $ENV{FLAIR_ROOT}/flair-src/scripts/compile_info.sh ${CMAKE_C_COMPILER} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR}/generated/compile_info.h
 )
 
Index: trunk/tools/VrpnBridge/CMakeLists.txt
===================================================================
--- trunk/tools/VrpnBridge/CMakeLists.txt	(revision 300)
+++ trunk/tools/VrpnBridge/CMakeLists.txt	(revision 302)
@@ -1,5 +1,5 @@
 PROJECT(vrnbridge)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 if("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "x86_64")
@@ -18,5 +18,5 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/tools/${ARCH_DIR}
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-install/bin/tools/${ARCH_DIR}
 )
 
